export interface TileDto {
  id: string;
  pips?: number[];
  flipped: boolean;
  revealed: boolean;
  playerId: string | undefined;
}

export interface PlayerDto {
  id: string;
  name: string;
  score?: number;
  hand?: TileDto[];
  teamedWith?: string;
  ready: boolean;
  isHuman: boolean;
}

export interface PlayerMoveDto {
  id: string;
  tile: TileDto
  type: string | null;
  playerId: string;
  direction?: string;
}